<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Creating elements</title>
  <meta name="GENERATOR" content="amaya 6.1, see http://www.w3.org/Amaya/" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <style type="text/css">
  </style>
  <link href="../style.css" rel="stylesheet" type="text/css" />
</head>

<body xml:lang="en" lang="en">

<table border="0" width="100%" summary="toc">
  <tbody>
    <tr>
      <td><p><img border="0" alt="W3C" src="../../images/w3c_home" /> <img
        border="0" alt="Amaya" src="../../images/amaya.gif" /></p>
      </td>
      <td><p align="right"><a href="../HTML.html.es"><img alt="top" border="0"
        src="../../images/up.gif" /></a> <a href="structure.html.es"><img
        alt="next" border="0" src="../../images/right.gif" /></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="Information">
<h1>Information types in HTML</h1>

<p>HTML 4.0 (Strict) provides elements to denote certain types of
information. Although there is a default way each element type is presented,
it is possible to use <a href="../StyleSheets.html.es">style sheets</a> to
change the presentation of any element. The types of information that can be
represented by HTML elements are:</p>
<dl>
  <dt><a href="headings.html.es">Headings</a></dt>
    <dd>There are six levels of headings in HTML, which should be used to
      mark page or topic headings in order of their importance.</dd>
  <dt><a href="lists.html.es">Lists</a></dt>
    <dd>HTML provides two simple list types: 
      <ol>
        <li>numbered lists (such as this one)</li>
        <li>unordered lists.</li>
      </ol>
      <p>It also provides for <a href="lists.html.es">lists of terms and
      definitions</a></p>
    </dd>
  <dt><a href="address.html.es">About the author</a></dt>
    <dd>A special element is provided for contact information about the
      author of an HTML page.</dd>
  <dt>Definitions</dt>
    <dd>These can be marked as an <a href="inline.html.es#Definition"
      rel="glossary">inline definition</a> (i.e. defined in a normal
      paragraph) or in a <a href="lists.html.es">list of terms and
      definitions</a>. This list of information types is a definition list
      itself. It is also possible to use the value <code>glossary</code> in
      the <code>rel</code> attribute of a link, if that link is to a
      definition. In Amaya, the Links and Structure views include any
      <code>rel</code> attributes on links.</dd>
  <dt><a href="inline.html.es#Inline">Quotations</a></dt>
    <dd>These can be marked inline or as blocks. In each case it is possible
      to mark the source of the quotation using the CITE element or the CITE
      attribute</dd>
  <dt><a href="inline.html.es#Sample">Sample input, output, computer
  code</a></dt>
    <dd>Elements are provided for samples of <code>computer code</code>,
      <var>variables</var>, <kbd>text to be entered</kbd> and <samp>sample
      output</samp>.</dd>
  <dt><a href="inline.html.es#Inline">Abbreviations and acronyms</a></dt>
    <dd>Elements are available to denote abbreviations and acronyms.</dd>
  <dt><a href="inline.html.es#Inline2">Insertions and Deletions</a></dt>
    <dd>There are elements to mark text that has been inserted, or should be
      deleted. <ins>(This is useful for collaborative editing
      <del>sub-editing</del>)</ins></dd>
  <dt><a href="inline.html.es#Emphasis">Emphasis</a></dt>
    <dd>HTML provides two levels of emphasis: <em>ordinary emphasis</em> and
      <strong>strong emphasis</strong>.</dd>
  <dt></dt>
</dl>
</div>
</body>
</html>
