<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <title>The Math Palette and the Types/Math Menu</title>
  <style type="text/css">
  </style>
  <meta name="GENERATOR" content="amaya 5.2">
  <link href="../style.css" rel="stylesheet" type="text/css">
</head>

<body xml:lang="en" lang="en">

<table border="0" summary="toc">
  <tbody>
    <tr>
      <td><img alt="W3C" src="../../images/w3c_home"> <img alt="Amaya"
        src="../../images/amaya.gif"></td>
      <td><p><a href="about_entering_math_constructs_using_the_keyboard.html.es"
        accesskey="p"><img alt="previous" src="../../images/left.gif"></a> <a
        href="../Math.html.es" accesskey="t"><img alt="top"
        src="../../images/up.gif"></a> <a
        href="about_entering_math_characters.html.es" accesskey="n"><img
        alt="next" src="../../images/right.gif"></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="page_body">
<h1>The Math Palette and the Types &gt; Math Menu</h1>

<p>To create a mathematical expression in a document, move the mouse cursor
to the position where you want to insert an expression, and then click the
<strong>Math</strong> button, or choose <strong>Math</strong> from the
<strong>Types</strong> menu.</p>

<h2>Accessing Commands</h2>

<p>Mathematical expressions can be inserted into a document using either the
<strong>Math</strong> submenu of the <strong>Types</strong> menu, or by
choosing an expression from the <strong>Math</strong> palette.</p>

<p>Click the <strong>Math</strong> button <img alt="Math Button"
src="../../images/Math.gif"> on the button bar to display the
<strong>Math</strong> palette. Close the palette by clicking the
<strong>Done</strong> button.</p>

<p>You can also display the Math menu by clicking the <strong>Math</strong>
item on the <strong>Types</strong> menu.</p>

<h2>Math Menu and Palette Commands</h2>

<p>On the <strong>Math</strong> palette or menu, the first item, <strong>New
Formula</strong>, allows you to create a new formula when the cursor is in a
HTML or SVG element, but not within a MathML element.</p>

<p>The <strong>Math</strong> menu also contains elements which are not
available from the palette. These items include: Plain text
(<code>mtext</code>), Identifier (<code>mi</code>), Number (<code>mn</code>),
Operator (<code>mo</code>). These commands can also change the type of a
single element or a sequence of elements.</p>

<p>The Character (<code>&amp;xxx;</code>) item enables you to enter a
character that is not available on the keyboard. It displays a dialog where
you have to enter the character name (for instance alpha for the Greek
character a).</p>

<p>The next items of the <strong>Math</strong> menu or palette enable you to
create new constructs within a formula. If the insertion point is not in a
formula, Amaya first creates a Math element to accept the new construct. The
available constructs are:</p>
<ul>
  <li>Root with index, <code>mroot</code> in MathML: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mroot>
        <mrow>
          <mi>x</mi>
          <mo>+</mo>
          <mn>1</mn>
        </mrow>
        <mn>3</mn>
      </mroot>
    </math>
  </li>
  <li>Square root, <code>msqrt</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <msqrt>
        <mrow>
          <mi>x</mi>
          <mo>+</mo>
          <mn>1</mn>
        </mrow>
      </msqrt>
    </math>
  </li>
  <li>Enclose, <code>menclose</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <menclose>
        <mn>1234</mn>
      </menclose>
    </math>
  </li>
  <li>Fraction, <code>mfrac</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mfrac>
        <mn>1</mn>
        <mrow>
          <mi>x</mi>
          <mo>+</mo>
          <mn>1</mn>
        </mrow>
      </mfrac>
    </math>
  </li>
  <li>Expression with subscript and superscript, <code>msubsup</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <msubsup>
        <mi>x</mi>
        <mrow>
          <mi>i</mi>
          <mo>+</mo>
          <mn>1</mn>
        </mrow>
        <mi>n</mi>
      </msubsup>
    </math>
     or 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mrow>
        <msubsup>
          <mo>&Integral;</mo>
          <mn>0</mn>
          <mo>&infin;</mo>
        </msubsup>
        <mi></mi>
      </mrow>
    </math>
  </li>
  <li>Expression with a subscript, <code>msub</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <msub>
        <mi>x</mi>
        <mi>i</mi>
      </msub>
    </math>
  </li>
  <li>Expression with a superscript, <code>msup</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <msup>
        <mi>x</mi>
        <mi>n</mi>
      </msup>
    </math>
  </li>
  <li>Expression with under- and overscript, <code>munderover</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <munderover>
        <mo>&Sum;</mo>
        <mrow>
          <mi>i</mi>
          <mo>=</mo>
          <mn>1</mn>
        </mrow>
        <mi>n</mi>
      </munderover>
    </math>
  </li>
  <li>Expression with underscript, <code>munder</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <munder>
        <mi>x</mi>
        <mo>&OverBar;</mo>
      </munder>
    </math>
  </li>
  <li>Expression with overscript, <code>mover</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mrow>
        <mi>x</mi>
        <mover>
          <mo>&RightArrow;</mo>
          <mtext>maps to</mtext>
        </mover>
        <mi>y</mi>
      </mrow>
    </math>
  </li>
  <li>Expression within parentheses, <code>mrow</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mrow>
        <mo fence="true">(</mo>
        <mrow>
          <mi>a</mi>
          <mo>+</mo>
          <mi>b</mi>
        </mrow>
        <mo fence="true">)</mo>
      </mrow>
    </math>
  </li>
  <li>Expression with prescripts and tensor
    indices,<code>mmultiscripts</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mmultiscripts>
        <mi>X</mi>
        <mi>i</mi>
        <mi>j</mi>
        <mprescripts/>
        <mi>k</mi>
        <mi>l</mi>
      </mmultiscripts>
    </math>
  </li>
  <li>Matrix or table, <code>mtable</code>: 
    <math xmlns="http://www.w3.org/1998/Math/MathML">
      <mtable>
        <mtr>
          <mtd>
            <mi>a</mi>
          </mtd>
          <mtd>
            <mi>b</mi>
          </mtd>
        </mtr>
        <mtr>
          <mtd>
            <mi>c</mi>
          </mtd>
          <mtd>
            <mi>d</mi>
          </mtd>
        </mtr>
      </mtable>
    </math>
  </li>
</ul>

<p>The last item of the <strong>Math</strong> palette
 ( <math xmlns="http://www.w3.org/1998/Math/MathML">  <mi>&alpha;&beta;&gamma;</mi></math> )
 displays another palette from which you can insert mathematical symbols and greek characters.</p>

<h2>See Also:</h2>
<ul>
  <li><a href="editing_math_expressions.html.es">Editing Mathematics</a></li>
  <li><a href="about_entering_math_characters.html.es">Creating a Mathematical
    Expression</a></li>
</ul>
</div>

</body>
</html>
